import Element from './Element';

/**
 * Predstavlja button.
 */
export default class Button extends Element
{
    /**
     * Konstruktor.
     *
     * @param el
     */
    constructor(el) {
        super(el);

        if (!this.$el.is('button, input[type="button"], input[type="reset"], input[type="submit"]')) {
            throw 'el mora biti <button> ili <input type="(button|reset|submit)">';
        }
    }
}