<?php
namespace Ep\Currency\Adapter;

/**
 * Dohvaća tečajnu listu.
 *
 * @package Ep\Currency\Adapter
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
interface AdapterInterface
{
    const BASE_CURRENCY = 'HRK';

    /**
     * Vraća tečajnu listu.
     *
     * @param string $baseCurrency
     *
     * @return array
     */
    public function getRates($baseCurrency = self::BASE_CURRENCY): array;
}